Last Comment Bug 716880 - 'Switch to tab' to a different Panorama group and then activating an app tab returns to previous group
: 'Switch to tab' to a different Panorama group and then activating an app tab ...
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All Mac OS X
: -- normal
: Firefox 14
Assigned To: Mario Alvarado [:marioalv]
:
Mentors:
Depends on: 715454
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-10 07:03 PST by Reuben Morais [:reuben]
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed test case for this bug. v1. (2.85 KB, patch)
2012-03-08 20:37 PST, Mario Alvarado [:marioalv]
no flags Details | Diff | Splinter Review

Description Reuben Morais [:reuben] 2012-01-10 07:03:35 PST
STR:

1. Open a URL and pin the tab.
2. Open a URL (e.g. https://en.wikipedia.org/wiki/K_%28programming_language%29)
3. Create a new tab group, open a new tab and type in 'K'. The Awesome Bar should show the existing tab in the dropdown with 'Switch to tab'.
4. Choose Switch to existing tab. Tab in different tab group is focused.
5. Press Cmd+1 (Ctrl+1?) to focus the app tab.

Actual results:
Previous group is selected when focusing the app tab.

Expected results:
Group with the switched-to tab should remain selected.
Comment 1 Tim Taubert [:ttaubert] 2012-01-10 07:37:40 PST
Will be fixed when bug 715454 is because that's the same issue with a different STR.
Comment 2 Mario Alvarado [:marioalv] 2012-03-01 15:00:27 PST
A patch for bug 715454 has been submitted.
Comment 3 Mario Alvarado [:marioalv] 2012-03-08 20:37:32 PST
Created attachment 604296 [details] [diff] [review]
Proposed test case for this bug. v1.

This test case goes along with the patch submitted to bug 715454.
Comment 4 Tim Taubert [:ttaubert] 2012-03-12 04:06:33 PDT
Comment on attachment 604296 [details] [diff] [review]
Proposed test case for this bug. v1.

Please just move this file to the patch in bug 715454.
Comment 5 Tim Taubert [:ttaubert] 2012-03-12 19:40:06 PDT
Comment on attachment 604296 [details] [diff] [review]
Proposed test case for this bug. v1.

Marking as obsolete. The test for this will be included in the patch for bug 715454.
Comment 6 Tim Taubert [:ttaubert] 2012-03-23 05:23:46 PDT
Fixed by bug 715454.

Note You need to log in before you can comment on or make changes to this bug.